apply plugin: 'com.android.application'
apply plugin: 'io.fabric'

android {
    compileSdkVersion 27
    buildToolsVersion '27.0.3'

    defaultConfig {
        applicationId "org.deke.risk.riskahead"
        minSdkVersion 15
        targetSdkVersion 25
        versionCode 43
        versionName "3.1"
    }
    buildTypes {
        release {
            minifyEnabled true
            shrinkResources true
            debuggable false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        debug {
            debuggable true
        }
    }
    lintOptions {
        abortOnError false
    }
}

repositories {
    jcenter()
    maven { url 'https://maven.fabric.io/public' }
    maven { url 'https://maven.google.com/' }
}

dependencies {
    compile fileTree(dir: 'libs', include: 'Parse-*.jar')
    implementation 'com.facebook.android:facebook-android-sdk:4.31.0'
    compile('com.twitter.sdk.android:twitter-core:1.4.1@aar') {
        transitive = true
    }

    implementation 'com.mikepenz:iconics-core:3.0.3@aar'
    implementation 'com.mikepenz:iconics-core:3.0.3@aar'
    implementation 'com.mikepenz:google-material-typeface:3.0.1.2.original@aar'
    compile('com.mikepenz:materialdrawer:6.0.6@aar') {
        transitive = true
    }

    compile 'com.android.support:appcompat-v7:27.1.0'
    compile 'com.android.support:support-v4:27.1.0'
    compile 'com.android.support:design:27.1.0'

    compile 'com.google.android.gms:play-services-gcm:11.8.0'
    compile 'com.google.android.gms:play-services-plus:11.8.0'
    compile 'com.google.android.gms:play-services-location:11.8.0'
    compile 'com.google.android.gms:play-services-ads:11.8.0'
    compile 'com.google.android.gms:play-services-maps:11.8.0'

    compile 'com.google.maps.android:android-maps-utils:0.5'
    compile 'com.google.code.gson:gson:2.8.0'
    compile 'com.beardedhen:androidbootstrap:2.3.2'
    compile 'com.mcxiaoke.volley:library:1.0.19'
}

apply plugin: 'com.google.gms.google-services'